> ## Documentation Index
> Fetch the complete documentation index at: https://developer.pagou.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Webhook Integration

> Configure webhook integration for a legacy v1 account.



## OpenAPI

````yaml api-reference/openapi-v1.json POST /v1/business/integration
openapi: 3.1.0
info:
  title: API PIX - v1
  description: >-
    API for Pagou.ai Gateway


    Warning: API v1 is legacy and not recommended for new integrations. It
    receives security updates only.
  version: 2.0.0
  contact:
    name: Support
    url: https://pagou.ai
    email: support@pagou.ai
servers:
  - url: https://api.pagou.ai
    description: Production server
  - url: https://api.sandbox.pagou.ai
    description: Sandbox server for testing
security:
  - ApiKeyAuth: []
paths:
  /v1/business/integration:
    post:
      tags:
        - API - Webhooks
      summary: Create a Webhook Integration
      description: Create a new webhook
      operationId: postBusinessIntegration
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                webhookUrl:
                  type: string
                  maxLength: 2048
                pixWebhookUrl:
                  type: string
                  maxLength: 2048
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  webhookUrl:
                    type: string
                  pixWebhookUrl:
                    type: string
                  status:
                    type: string
                required:
                  - id
                  - webhookUrl
                  - pixWebhookUrl
                  - status
                additionalProperties: false
              example:
                id: int_5fba5982a6b34f59a6f3dd8ad58c1d44
                webhookUrl: https://example.app/webhooks/pagou
                pixWebhookUrl: https://example.app/webhooks/pagou/pix
                status: active
        '422':
          description: Validation error (RFC 7807)
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ValidationProblemDetails'
              example:
                type: https://api.pagou.ai/problems/validation-error
                title: Validation Error
                status: 422
                detail: The request contains invalid data.
                instance: /v1/business/integration
                errors:
                  - field: transaction.value
                    message: Must be greater than zero.
                    code: invalid_type
        default:
          description: RFC 7807 Problem Details error response
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
              example:
                type: https://api.pagou.ai/problems/unauthorized
                title: Unauthorized
                status: 401
                detail: Authentication failed for POST /v1/business/integration.
                instance: /v1/business/integration
      security:
        - ApiKeyAuth: []
components:
  schemas:
    ValidationProblemDetails:
      allOf:
        - $ref: '#/components/schemas/ProblemDetails'
        - type: object
          properties:
            errors:
              type: array
              items:
                type: object
                properties:
                  field:
                    type: string
                  message:
                    type: string
                  code:
                    type: string
                additionalProperties: true
          additionalProperties: true
    ProblemDetails:
      type: object
      description: RFC 7807 Problem Details object.
      properties:
        type:
          type: string
          format: uri-reference
        title:
          type: string
        status:
          type: number
        detail:
          type: string
        instance:
          type: string
          format: uri-reference
      required:
        - type
        - title
        - status
        - detail
      additionalProperties: true
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apiKey

````